Retrieve contact channels
curl --request GET \
--url https://api.example.com/contacts/{contactId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/contacts/{contactId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/contacts/{contactId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contactId": "ct_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"available": true,
"options": [
{
"method": "<string>",
"currency": "<string>",
"available": true,
"minAmount": "500.00",
"bankId": "bnk_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"maxAmount": "500.00",
"feeBps": 0,
"fixedFee": "500.00",
"purposeRequired": false,
"memoRequired": false,
"documentsRequired": false,
"blockers": [
{
"code": "contact_details_missing",
"message": "<string>",
"field": "<string>"
}
]
}
],
"blockers": [
{
"code": "contact_details_missing",
"message": "<string>",
"field": "<string>"
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Contacts
Retrieve contact channels
Return currently available payment methods, limits, fees and blockers. Capabilities are a point-in-time eligibility read, not a transfer quote.
GET
/
contacts
/
{contactId}
/
capabilities
Retrieve contact channels
curl --request GET \
--url https://api.example.com/contacts/{contactId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/contacts/{contactId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/contacts/{contactId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contactId": "ct_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"available": true,
"options": [
{
"method": "<string>",
"currency": "<string>",
"available": true,
"minAmount": "500.00",
"bankId": "bnk_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"maxAmount": "500.00",
"feeBps": 0,
"fixedFee": "500.00",
"purposeRequired": false,
"memoRequired": false,
"documentsRequired": false,
"blockers": [
{
"code": "contact_details_missing",
"message": "<string>",
"field": "<string>"
}
]
}
],
"blockers": [
{
"code": "contact_details_missing",
"message": "<string>",
"field": "<string>"
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Path Parameters
Query Parameters
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Example:
"500.00"
Response
Successful Response
Saved contact associated with these capabilities.
Pattern:
^(?:ct_)?[A-Za-z0-9._:\-]{1,216}$Example:
"ct_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Whether at least one payout option is currently available.
Available transfer options.
Show child attributes
Show child attributes
Contact-wide blockers.
Show child attributes
Show child attributes
Was this page helpful?